### Enumeration

# Gimp ConfigError

#### Declaration

    error-domain Gimp.ConfigError

#### Description [src]

The possible values of a `GError` thrown by libgimpconfig.

#### Members

`GIMP_CONFIG_ERROR_OPEN`

  Open failed.

  - Value: `0`
  - Available since: 3.0
`GIMP_CONFIG_ERROR_OPEN_ENOENT`

  File does not exist.

  - Value: `1`
  - Available since: 3.0
`GIMP_CONFIG_ERROR_WRITE`

  Write failed.

  - Value: `2`
  - Available since: 3.0
`GIMP_CONFIG_ERROR_PARSE`

  Parser error.

  - Value: `3`
  - Available since: 3.0
`GIMP_CONFIG_ERROR_VERSION`

  Parser failed due to version mismatch.

  - Value: `4`
  - Available since: 3.0